Create association definition
curl --request POST \
--url https://api.hubapi.com/media-bridge/v1/{appId}/schemas/{objectType}/associations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromObjectTypeId": "<string>",
"toObjectTypeId": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.hubapi.com/media-bridge/v1/{appId}/schemas/{objectType}/associations"
payload = {
"fromObjectTypeId": "<string>",
"toObjectTypeId": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fromObjectTypeId: '<string>', toObjectTypeId: '<string>', name: '<string>'})
};
fetch('https://api.hubapi.com/media-bridge/v1/{appId}/schemas/{objectType}/associations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fromObjectTypeId": "<string>",
"id": "<string>",
"toObjectTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}スキーマ
Create association definition
POST
/
media-bridge
/
v1
/
{appId}
/
schemas
/
{objectType}
/
associations
Create association definition
Supported products
Supported products
承認
The access token received from the authorization server in the OAuth 2.0 flow.
レスポンス
successful operation
The definition of an association
The ID of the source object type (e.g., 0-1 for contacts).
The unique ID of the associated object (e.g., a contact ID).
The ID of the destination object type (e.g., 0-3 for deals).
The timestamp when the association was created, in ISO 8601 format.
For labeled association types, the internal name of the association.
The timestamp when the last update was made to an association, in ISO 8601 format.
最終更新日 2026年4月13日
⌘I